@charset "utf-8";
/* =====================================

	* board

    CSS CONTENTS : 
    01. list
    02. list::effect
    03. button
    04. list::paging
    05. view
    06. view::comment
    07. view::move
    08. write

====================================== */
/* list */
.gall-list{
    display: flex;
    flex-wrap: wrap;
    gap: 35px;
}
.gall-list > li{
    position: relative;
    width: calc((100% - 140px)/4);
}
.gall-list > li > a{
    display: block;
    position: relative;
    transition: 0.3s ease;
}
.gall-img{
    position: relative;
    display: block;
    width: 100%;
    height: 388px;
    border: 1px solid #e2e2e2;
    border-radius: 5px;
    background-color: #fff;
    transition: 0.3s ease;
    aspect-ratio: 1/1.3;
}
.gall-img > img{
    width: 100%;
    height: 100%;
    /* object-fit: contain; */
    border-radius: 5px;
}
.gall-text{
    margin-top: 20px;
    text-align: center;
}
.gall-tit{
    display: inline-block;
    font-size: 2rem;
    font-weight: 600;
    line-height: 1.2;
    transition: 0.3s ease;
}
.gall-list > li:hover .gall-img{
    border-color: #74b1fe;
}
.gall-list > li:hover .gall-tit{
    color: #2179e8;
    box-shadow: inset 0 -10px #f2f8ff;
}
.btn-admin{
    position: absolute;
    top: 20px;
    right: 20px;
    text-align: right;
}
.btn-admin .form-item{
    width: 65px;
    height: 27px;
    margin: 2px;
    padding: 0 3px;
    border-color: #565656;
    background-color: #fff;
    font-size: 1.4rem;
    vertical-align: top;
}
.gall-list .no-data{
    display: block;    
    width: 100% !important;
    padding: 70px 15px;
    border-top: 2px solid #20366f;
    border-bottom: 1px solid #e2e2e2;
    border-left: 0;
    border-right: 0;
    font-size: 2rem;
    font-weight: 600;
    color: #20366f;
    letter-spacing: -0.05em;
    text-align: center;
}
.gall-list + .btn-wrap{
    border-top: none;
}


/* =====================================

	* responsive

====================================== */
@media screen and (max-width: 1024px){
    /* list */
    .gall-list{
        gap: 20px;
    }
    .gall-list > li{
        width: calc((100% - 60px)/4);
    }
    .gall-img{
        height: auto;
    }
}
@media screen and (max-width: 768px){
    /* list */
    .gall-list{
        gap: 15px;
    }
    .gall-list > li{
        width: calc((100% - 15px)/2);
    }
    .gall-img{
        height: auto;
        border-radius: 3px;
    }
    .gall-text{
        margin-top: 15px;
    }
    .gall-tit{
        font-size: 16px;
    }
    .btn-admin{
        display: none;
        top: 10px;
        right: 10px;
    }
    .gall-list .no-data{
        padding: 30px 15px;
        font-size: 14px;
    }
    .gall-list > li:hover .gall-tit{
        box-shadow: inset -5px #f2f8ff;
    }

    .gall-list.n2 > li{
        width: calc((100% - 15px)/2);
    }
    .gall-list.n2 .gall-name{
        display: block;
        margin-bottom: 3px;
        width: 100%;
    }
    .gall-list.n2 .gall-con span + span{
        margin-left: 0;
        padding: 0 5px;
    }
    .gall-list.n2 .gall-con .gall-name + span{
        margin-left: -5px;
    }
    .gall-list.n2 .gall-name + span:before{
        display: none;
    }

}